Bug 29004 - Update GoogleOpenIDConnect preference to make it clear that it is OPAC-only
Summary: Update GoogleOpenIDConnect preference to make it clear that it is OPAC-only
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Manual
Depends on: 10988
Blocks:
  Show dependency treegraph
 
Reported: 2021-09-13 13:34 UTC by Owen Leonard
Modified: 2021-10-28 13:16 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
This improves the description of the GoogleOpenIDConnect and related preferences to make it clear that GoogleOpenIDConnect affects OPAC logins and that the preferences are related.
Version(s) released in:
21.11.00,21.05.05


Attachments
Bug 29004: Update GoogleOpenIDConnect preference to make it clear that it is OPAC-only (4.40 KB, patch)
2021-09-13 13:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29004: Update GoogleOpenIDConnect preference to make it clear that it is OPAC-only (4.45 KB, patch)
2021-09-21 19:42 UTC, David Nind
Details | Diff | Splinter Review
Bug 29004: Update GoogleOpenIDConnect preference to make it clear that it is OPAC-only (4.57 KB, patch)
2021-09-26 13:06 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-09-13 13:34:40 UTC
GoogleOpenIDConnect and related system preferences only affect the OPAC, but the system preference descriptions don't make that explicit. The description should be modified to mention that it only applies to the OPAC.
Comment 1 Owen Leonard 2021-09-13 13:40:11 UTC
Created attachment 124841 [details] [review]
Bug 29004: Update GoogleOpenIDConnect preference to make it clear that it is OPAC-only

This patch modifies the description of the GoogleOpenIDConnect and
related preferences to make it clear that GoogleOpenIDConnect affects
OPAC logins and that the preferences are related.

To test, apply the patch and go to Administration -> System preferences.

Search for "google," and confirm that the descriptions of
GoogleOpenIDConnect and related preferences look clear and correct.
Comment 2 David Nind 2021-09-21 19:42:33 UTC
Created attachment 125122 [details] [review]
Bug 29004: Update GoogleOpenIDConnect preference to make it clear that it is OPAC-only

This patch modifies the description of the GoogleOpenIDConnect and
related preferences to make it clear that GoogleOpenIDConnect affects
OPAC logins and that the preferences are related.

To test, apply the patch and go to Administration -> System preferences.

Search for "google," and confirm that the descriptions of
GoogleOpenIDConnect and related preferences look clear and correct.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2021-09-26 13:06:37 UTC
Created attachment 125329 [details] [review]
Bug 29004: Update GoogleOpenIDConnect preference to make it clear that it is OPAC-only

This patch modifies the description of the GoogleOpenIDConnect and
related preferences to make it clear that GoogleOpenIDConnect affects
OPAC logins and that the preferences are related.

To test, apply the patch and go to Administration -> System preferences.

Search for "google," and confirm that the descriptions of
GoogleOpenIDConnect and related preferences look clear and correct.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-10-06 08:38:21 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 5 Kyle M Hall 2021-10-08 14:28:24 UTC
Pushed to 21.05.x for 21.05.05